let linearScale = d3.scaleLinear()
	.domain([0, 100])
	.range([0, 500]);

let sequentialScale = d3.scaleSequential()
	.domain([0, 100]);

let interpolators = [
	'interpolateViridis',
	'interpolateInferno',
	'interpolateMagma',
	'interpolatePlasma',
	'interpolateWarm',
	'interpolateCool',
	'interpolateRainbow',
	'interpolateCubehelixDefault'
];

const myData = d3.range(0, 100, 1); // [0, 2, 4 ...... 98]

function dots(d) {  
  sequentialScale
  	.interpolator(d3[d]);
  
  d3.select(this)
  	.append('text')
  	.attr('y', -10)
  	.text(d);
  
  d3.select(this)
  	.selectAll('rect')
  	.data(myData)
  	.join('rect')
  	.attr('x', (d) => linearScale(d))
  	.attr('width', 10)
  	.attr('height', 30)
  	.style('fill', (d) => sequentialScale(d));
}

d3.select('#wrapper')
	.selectAll('g.interpolator')
	.data(interpolators)
	.join('g')
	.classed('interpolator', true)
	.attr('transform', (d, i) => `translate(${40}, ${i * 70 + 40})`)
	.each(dots)